Interface for build loggers that require that out/err streams be set in order to function.

This is just an empty sub-interface to BuildLogger, but is used by Phing to throw graceful errors when classes like phing.listener.DefaultLogger are being used as -listener.

author | Hans Lellelid
version | $Id$
see | \global\BuildEvent
see | \global\Project::addBuildListener()
package | phing

### Methods

## Sets the output stream to use for errors.

    setErrorStream(\OutputStream $err)

Inherited

inherited_from | \BuildLogger::setErrorStream()

### Parameters

#### $err

`\OutputStream`

Configured output stream (e.g. STDERR) for errors.

## Sets the min log level that this logger should respect.

    setMessageOutputLevel(int $level)

Inherited

Messages below this level are ignored.

Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is: - Project::MSG_ERR - Project::MSG_WARN - Project::MSG_INFO - Project::MSG_VERBOSE - Project::MSG_DEBUG

inherited_from | \BuildLogger::setMessageOutputLevel()

### Parameters

#### $level

`int`

The log level integer (e.g. Project::MSG_VERBOSE, etc.).

## Sets the standard output stream to use.

    setOutputStream(\OutputStream $output)

Inherited

inherited_from | \BuildLogger::setOutputStream()

### Parameters

#### $output

`\OutputStream`

Configured output stream (e.g. STDOUT) for standard output.